#include <Arduino.h>

// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!

#include "KNXConnection.h"
#include "KNXObjectDefinitions.h"
#include "KNXPresenceSimulation.h"


KNXPresenceSimulation presenceSim;



void setup() {
  Serial.begin(9600);
  delay(60);
  Serial.println("Ready ! ");
  objectSettings();
  
  
  	  presenceSim.add (eg_buero,    23,    33,     30,     40);
	//presenceSim.add (eg_aquarium, 15,    20,     20,     21);
	//presenceSim.add (eg_wc,       40,    180,    60*20,  60*60);
	//presenceSim.add (eg_diele,    15,    60*30,  30,     60*60);
	//presenceSim.add (eg_kue_wand, 15,    60*30,  30,     60*60);
 
        presenceSim.on();
  // presenceSim->setGroupAddress();
  
}

void loop() {
  presenceSim.doIt();
  delay(30);
}

void serialEvent()
{
  char ch = Serial.read();
  if (ch == '0') eg_diele.off();
  if (ch == '1') eg_diele.on();

  if (ch == 'p') presenceSim.toggle();
  if (ch == 'b') eg_buero.toggle();

  if (ch == 'l') Serial.println("--------------------------------------------");
} // end keyboardInput


