#include <Arduino.h>

// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!


#include "KNXConnection.h"
#include "KNXObjectDefinitions.h"
#include "KNXMultiSwitchStatus.h"

KNXMultiSwitchStatus testStatus(ga(4,3,3));


void setup() {
  Serial.begin(9600);
  Serial.println("Ready ! ");
  objectSettings();
  
  testStatus.add(eg_wc);
  testStatus.add(eg_buero);
  testStatus.add(eg_diele);
}

void loop() {
  testStatus.doIt();
}

void serialEvent()
{
  char ch = Serial.read();
  if (ch == 'q') eg_wc.toggle();
  if (ch == 'w') eg_diele.toggle();
  if (ch == 'e') eg_buero.toggle();
  if (ch == 'a') testStatus.toggle();
  if (ch == 's') testStatus.print();
  if (ch == 'l') Serial.println("-----------------------------------------------------------");
 
} // end keyboardInput


