#include <Arduino.h>

// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!
#include <avr/wdt.h>
#include "KNXConnection.h"
KNXConnection knx;  
KNXObject eg_buero ((uint8_t)0xA01, (uint8_t)0xA02);

void setup() {
  wdt_enable(WDTO_1S);
  Serial.begin(9600);
  Serial.println("Neustart des KNiXuino !! Ready ! ");
}

void loop() {
   wdt_reset();
}

void serialEvent()
{
  char ch = Serial.read();
  if (ch == 's') eg_buero.print();
  if (ch == '0') eg_buero.off();
  if (ch == '1') eg_buero.on();
  if (ch == 'p') {Serial.println("4 Sek. Pause ohne wdt_reset !"); delay(4000);}
} // end keyboardInput


