#include <Arduino.h>

// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!

#include "KNXConnection.h"
#include "KNXObjectDefinitions.h"
#include "KNXTemperature.h"


KNXTemperature temp(ga(4,3,0));


void setup() {
  Serial.begin(9600);
  Serial.println("Ready ! ");
  objectSettings();
}

void loop() {
}

void serialEvent()
{
  char ch = Serial.read();

  if (ch == 'b') temp.setFloat(43.63);
  if (ch == 's') Serial.println(temp.getFloat());
  if (ch == 'r') temp.print();
  if (ch == 'l') Serial.println("----------------------------");

} // end keyboardInput  


  


